aboutsummaryrefslogtreecommitdiffstats
path: root/src/build-data/botan-config.in
diff options
context:
space:
mode:
authorlloyd <[email protected]>2008-09-29 20:17:08 +0000
committerlloyd <[email protected]>2008-09-29 20:17:08 +0000
commit7c0319368d1948d54db514e5f72c589a397e2909 (patch)
tree2d52b6dd8715a6ea0fc21b3a66673fb38a8d4ebb /src/build-data/botan-config.in
parent0f2dfff90fe3882a85308d66a05803178a452023 (diff)
Remove the misc dir:
Moved XS, Boost Python, and SWIG wrappers to new toplevel directory 'wrappers' Moved NIST X.509 test suite into checks directory Move the build information used by configure.pl to src/build-data Move scripts directory to doc (for lack of a better spot)
Diffstat (limited to 'src/build-data/botan-config.in')
-rw-r--r--src/build-data/botan-config.in57
1 files changed, 57 insertions, 0 deletions
diff --git a/src/build-data/botan-config.in b/src/build-data/botan-config.in
new file mode 100644
index 000000000..ef2b5fe4d
--- /dev/null
+++ b/src/build-data/botan-config.in
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+guess_prefix=`dirname \`dirname $0\``
+install_prefix=@{var:prefix}
+prefix=
+includedir=@{var:includedir}
+libdir=@{var:libdir}
+
+usage()
+{
+ echo "botan-config [--prefix[=DIR]] [--version] [--libs] [--cflags]"
+ exit 1
+}
+
+if test $# -eq 0; then
+ usage
+fi
+
+if test `echo $guess_prefix | cut -c 1` = "/"; then
+ prefix=$guess_prefix
+else
+ prefix=$install_prefix
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --version)
+ echo @{var:version}
+ exit 0
+ ;;
+ --cflags)
+ if [ $prefix != "/usr" -a $prefix != "/usr/local" ]
+ then
+ echo -I$prefix/$includedir
+ fi
+ ;;
+ --libs)
+ echo -L$prefix/$libdir @{var:link_to} -lbotan
+ ;;
+ *)
+ usage
+ ;;
+ esac
+ shift
+done
+
+exit 0